2017-09-25 18:38 UTC

View Issue Details Jump to Notes ]
IDProjectCategoryView StatusLast Update
0004157Kali Linux[All Projects] Kali Package Bugpublic2017-08-24 08:20
Reporternilelinux 
Assigned Tosbrun 
PriorityurgentSeverityminorReproducibilityhave not tried
StatusresolvedResolutionfixed 
Product Version2017.1 
Target VersionFixed in Version2017.2 
Summary0004157: No interface for external usb wireless adapter TP-Link AC 1300 V2 Archer T4U
DescriptionHi,

I have installed Kali 2017.1 in Virtual Box. I attached the external usb wireless adapter TP-Link AC 1300 V2 Archer T4U. I installed the driver using this procedure:
#apt-get update
#apt install realtek-rtl88xxau-dkms
#reboot

I can't find wlan0 when i run #ifconfig, and the output of #lsusb and #iwconfi
root@kali:~# lsusb
Bus 001 Device 002: ID 2357:010d
Bus 001 Device 001: ID 1d6b:0002 Linux Foundation 2.0 root hub
Bus 002 Device 002: ID 80ee:0021 VirtualBox USB Tablet
Bus 002 Device 001: ID 1d6b:0001 Linux Foundation 1.1 root hub
root@kali:~# iwconfig
eth0 no wireless extensions.

lo no wireless extensions.

root@kali:~#


Please, Could you let me know how to solve this issue?

Best regards,
Attached Files
  • ? file icon dmesg (32,538 bytes) 2017-08-18 13:17 -
    root@kali:~# dmesg 
    [    0.000000] Linux version 4.9.0-kali3-amd64 (devel@kali.org) (gcc version 6.3.0 20170321 (Debian 6.3.0-11) ) #1 SMP Debian 4.9.18-1kali1 (2017-04-04)
    [    0.000000] Command line: BOOT_IMAGE=/boot/vmlinuz-4.9.0-kali3-amd64 root=/dev/sda1 ro initrd=/install/initrd.gz quiet
    [    0.000000] x86/fpu: Legacy x87 FPU detected.
    [    0.000000] x86/fpu: Using 'eager' FPU context switches.
    [    0.000000] e820: BIOS-provided physical RAM map:
    [    0.000000] BIOS-e820: [mem 0x0000000000000000-0x000000000009fbff] usable
    [    0.000000] BIOS-e820: [mem 0x000000000009fc00-0x000000000009ffff] reserved
    [    0.000000] BIOS-e820: [mem 0x00000000000f0000-0x00000000000fffff] reserved
    [    0.000000] BIOS-e820: [mem 0x0000000000100000-0x000000007ffeffff] usable
    [    0.000000] BIOS-e820: [mem 0x000000007fff0000-0x000000007fffffff] ACPI data
    [    0.000000] BIOS-e820: [mem 0x00000000fffc0000-0x00000000ffffffff] reserved
    [    0.000000] NX (Execute Disable) protection: active
    [    0.000000] SMBIOS 2.5 present.
    [    0.000000] DMI: innotek GmbH VirtualBox/VirtualBox, BIOS VirtualBox 12/01/2006
    [    0.000000] e820: update [mem 0x00000000-0x00000fff] usable ==> reserved
    [    0.000000] e820: remove [mem 0x000a0000-0x000fffff] usable
    [    0.000000] e820: last_pfn = 0x7fff0 max_arch_pfn = 0x400000000
    [    0.000000] MTRR default type: uncachable
    [    0.000000] MTRR variable ranges disabled:
    [    0.000000] MTRR: Disabled
    [    0.000000] x86/PAT: MTRRs disabled, skipping PAT initialization too.
    [    0.000000] x86/PAT: Configuration [0-7]: WB  WT  UC- UC  WB  WT  UC- UC  
    [    0.000000] CPU MTRRs all blank - virtualized system.
    [    0.000000] found SMP MP-table at [mem 0x0009fff0-0x0009ffff] mapped at [ffff96bf0009fff0]
    [    0.000000] Base memory trampoline at [ffff96bf00099000] 99000 size 24576
    [    0.000000] BRK [0x03f27000, 0x03f27fff] PGTABLE
    [    0.000000] BRK [0x03f28000, 0x03f28fff] PGTABLE
    [    0.000000] BRK [0x03f29000, 0x03f29fff] PGTABLE
    [    0.000000] BRK [0x03f2a000, 0x03f2afff] PGTABLE
    [    0.000000] BRK [0x03f2b000, 0x03f2bfff] PGTABLE
    [    0.000000] BRK [0x03f2c000, 0x03f2cfff] PGTABLE
    [    0.000000] RAMDISK: [mem 0x34cbd000-0x36655fff]
    [    0.000000] ACPI: Early table checksum verification disabled
    [    0.000000] ACPI: RSDP 0x00000000000E0000 000024 (v02 VBOX  )
    [    0.000000] ACPI: XSDT 0x000000007FFF0030 00003C (v01 VBOX   VBOXXSDT 00000001 ASL  00000061)
    [    0.000000] ACPI: FACP 0x000000007FFF00F0 0000F4 (v04 VBOX   VBOXFACP 00000001 ASL  00000061)
    [    0.000000] ACPI: DSDT 0x000000007FFF0470 001BF1 (v01 VBOX   VBOXBIOS 00000002 INTL 20140214)
    [    0.000000] ACPI: FACS 0x000000007FFF0200 000040
    [    0.000000] ACPI: FACS 0x000000007FFF0200 000040
    [    0.000000] ACPI: APIC 0x000000007FFF0240 00005C (v02 VBOX   VBOXAPIC 00000001 ASL  00000061)
    [    0.000000] ACPI: SSDT 0x000000007FFF02A0 0001CC (v01 VBOX   VBOXCPUT 00000002 INTL 20140214)
    [    0.000000] ACPI: Local APIC address 0xfee00000
    [    0.000000] No NUMA configuration found
    [    0.000000] Faking a node at [mem 0x0000000000000000-0x000000007ffeffff]
    [    0.000000] NODE_DATA(0) allocated [mem 0x7ffeb000-0x7ffeffff]
    [    0.000000] Zone ranges:
    [    0.000000]   DMA      [mem 0x0000000000001000-0x0000000000ffffff]
    [    0.000000]   DMA32    [mem 0x0000000001000000-0x000000007ffeffff]
    [    0.000000]   Normal   empty
    [    0.000000]   Device   empty
    [    0.000000] Movable zone start for each node
    [    0.000000] Early memory node ranges
    [    0.000000]   node   0: [mem 0x0000000000001000-0x000000000009efff]
    [    0.000000]   node   0: [mem 0x0000000000100000-0x000000007ffeffff]
    [    0.000000] Initmem setup node 0 [mem 0x0000000000001000-0x000000007ffeffff]
    [    0.000000] On node 0 totalpages: 524174
    [    0.000000]   DMA zone: 64 pages used for memmap
    [    0.000000]   DMA zone: 21 pages reserved
    [    0.000000]   DMA zone: 3998 pages, LIFO batch:0
    [    0.000000]   DMA32 zone: 8128 pages used for memmap
    [    0.000000]   DMA32 zone: 520176 pages, LIFO batch:31
    [    0.000000] ACPI: PM-Timer IO Port: 0x4008
    [    0.000000] ACPI: Local APIC address 0xfee00000
    [    0.000000] IOAPIC[0]: apic_id 2, version 17, address 0xfec00000, GSI 0-23
    [    0.000000] ACPI: INT_SRC_OVR (bus 0 bus_irq 0 global_irq 2 dfl dfl)
    [    0.000000] ACPI: INT_SRC_OVR (bus 0 bus_irq 9 global_irq 9 high level)
    [    0.000000] ACPI: IRQ0 used by override.
    [    0.000000] ACPI: IRQ9 used by override.
    [    0.000000] Using ACPI (MADT) for SMP configuration information
    [    0.000000] smpboot: Allowing 2 CPUs, 0 hotplug CPUs
    [    0.000000] PM: Registered nosave memory: [mem 0x00000000-0x00000fff]
    [    0.000000] PM: Registered nosave memory: [mem 0x0009f000-0x0009ffff]
    [    0.000000] PM: Registered nosave memory: [mem 0x000a0000-0x000effff]
    [    0.000000] PM: Registered nosave memory: [mem 0x000f0000-0x000fffff]
    [    0.000000] e820: [mem 0x80000000-0xfffbffff] available for PCI devices
    [    0.000000] Booting paravirtualized kernel on bare hardware
    [    0.000000] clocksource: refined-jiffies: mask: 0xffffffff max_cycles: 0xffffffff, max_idle_ns: 7645519600211568 ns
    [    0.000000] setup_percpu: NR_CPUS:512 nr_cpumask_bits:512 nr_cpu_ids:2 nr_node_ids:1
    [    0.000000] percpu: Embedded 35 pages/cpu @ffff96bf7fc00000 s103384 r8192 d31784 u1048576
    [    0.000000] pcpu-alloc: s103384 r8192 d31784 u1048576 alloc=1*2097152
    [    0.000000] pcpu-alloc: [0] 0 1 
    [    0.000000] Built 1 zonelists in Node order, mobility grouping on.  Total pages: 515961
    [    0.000000] Policy zone: DMA32
    [    0.000000] Kernel command line: BOOT_IMAGE=/boot/vmlinuz-4.9.0-kali3-amd64 root=/dev/sda1 ro initrd=/install/initrd.gz quiet
    [    0.000000] PID hash table entries: 4096 (order: 3, 32768 bytes)
    [    0.000000] Calgary: detecting Calgary via BIOS EBDA area
    [    0.000000] Calgary: Unable to locate Rio Grande table in EBDA - bailing!
    [    0.000000] Memory: 2023756K/2096696K available (6083K kernel code, 1119K rwdata, 2796K rodata, 1388K init, 684K bss, 72940K reserved, 0K cma-reserved)
    [    0.000000] Hierarchical RCU implementation.
    [    0.000000] 	Build-time adjustment of leaf fanout to 64.
    [    0.000000] 	RCU restricting CPUs from NR_CPUS=512 to nr_cpu_ids=2.
    [    0.000000] RCU: Adjusting geometry for rcu_fanout_leaf=64, nr_cpu_ids=2
    [    0.000000] NR_IRQS:33024 nr_irqs:440 16
    [    0.000000] Console: colour VGA+ 80x25
    [    0.000000] console [tty0] enabled
    [    0.000000] tsc: Fast TSC calibration failed
    [    0.000000] tsc: PIT calibration matches PMTIMER. 1 loops
    [    0.000000] tsc: Detected 2184.032 MHz processor
    [    0.008020] Calibrating delay loop (skipped), value calculated using timer frequency.. 4368.06 BogoMIPS (lpj=8736128)
    [    0.008024] pid_max: default: 32768 minimum: 301
    [    0.008052] ACPI: Core revision 20160831
    [    0.008866] ACPI: 2 ACPI AML tables successfully acquired and loaded
    [    0.008934] Security Framework initialized
    [    0.008937] Yama: disabled by default; enable with sysctl kernel.yama.*
    [    0.008944] AppArmor: AppArmor disabled by boot time parameter
    [    0.009450] Dentry cache hash table entries: 262144 (order: 9, 2097152 bytes)
    [    0.010036] Inode-cache hash table entries: 131072 (order: 8, 1048576 bytes)
    [    0.010204] Mount-cache hash table entries: 4096 (order: 3, 32768 bytes)
    [    0.010208] Mountpoint-cache hash table entries: 4096 (order: 3, 32768 bytes)
    [    0.010996] CPU: Physical Processor ID: 0
    [    0.010999] CPU: Processor Core ID: 0
    [    0.011003] mce: CPU supports 0 MCE banks
    [    0.011035] Last level iTLB entries: 4KB 64, 2MB 8, 4MB 8
    [    0.011037] Last level dTLB entries: 4KB 64, 2MB 0, 4MB 0, 1GB 4
    [    0.014301] Freeing SMP alternatives memory: 24K (ffffffffbd474000 - ffffffffbd47a000)
    [    0.025002] ftrace: allocating 24847 entries in 98 pages
    [    0.032110] smpboot: Max logical packages: 1
    [    0.033417] ..TIMER: vector=0x30 apic1=0 pin1=2 apic2=-1 pin2=-1
    [    0.080000] smpboot: CPU0: Intel(R) Core(TM) i5-5200U CPU @ 2.20GHz (family: 0x6, model: 0x3d, stepping: 0x4)
    [    0.080000] Performance Events: unsupported p6 CPU model 61 no PMU driver, software events only.
    [    0.080000] NMI watchdog: disabled (cpu0): hardware events not enabled
    [    0.080000] NMI watchdog: Shutting down hard lockup detector on all cpus
    [    0.080000] x86: Booting SMP configuration:
    [    0.080000] .... node  #0, CPUs:      #1
    [    0.012000] mce: CPU supports 0 MCE banks
    [    0.158186] x86: Booted up 1 node, 2 CPUs
    [    0.158186] smpboot: Total of 2 processors activated (8740.53 BogoMIPS)
    [    0.158186] devtmpfs: initialized
    [    0.158186] x86/mm: Memory block size: 128MB
    [    0.160101] clocksource: jiffies: mask: 0xffffffff max_cycles: 0xffffffff, max_idle_ns: 7645041785100000 ns
    [    0.160108] futex hash table entries: 512 (order: 3, 32768 bytes)
    [    0.160192] pinctrl core: initialized pinctrl subsystem
    [    0.160426] NET: Registered protocol family 16
    [    0.168026] cpuidle: using governor ladder
    [    0.184029] cpuidle: using governor menu
    [    0.184064] ACPI: bus type PCI registered
    [    0.184068] acpiphp: ACPI Hot Plug PCI Controller Driver version: 0.5
    [    0.184305] PCI: Using configuration type 1 for base access
    [    0.200290] HugeTLB registered 2 MB page size, pre-allocated 0 pages
    [    0.204145] ACPI: Added _OSI(Module Device)
    [    0.204148] ACPI: Added _OSI(Processor Device)
    [    0.204151] ACPI: Added _OSI(3.0 _SCP Extensions)
    [    0.204153] ACPI: Added _OSI(Processor Aggregator Device)
    [    0.204410] ACPI: Executed 1 blocks of module-level executable AML code
    [    0.205033] ACPI: Interpreter enabled
    [    0.205044] ACPI: (supports S0 S5)
    [    0.205047] ACPI: Using IOAPIC for interrupt routing
    [    0.205206] PCI: Using host bridge windows from ACPI; if necessary, use "pci=nocrs" and report a bug
    [    0.207178] ACPI: PCI Root Bridge [PCI0] (domain 0000 [bus 00-ff])
    [    0.207183] acpi PNP0A03:00: _OSC: OS supports [ASPM ClockPM Segments MSI]
    [    0.207188] acpi PNP0A03:00: _OSC failed (AE_NOT_FOUND); disabling ASPM
    [    0.207196] acpi PNP0A03:00: fail to add MMCONFIG information, can't access extended PCI configuration space under this bridge.
    [    0.207392] PCI host bridge to bus 0000:00
    [    0.207395] pci_bus 0000:00: root bus resource [io  0x0000-0x0cf7 window]
    [    0.207398] pci_bus 0000:00: root bus resource [io  0x0d00-0xffff window]
    [    0.207401] pci_bus 0000:00: root bus resource [mem 0x000a0000-0x000bffff window]
    [    0.207403] pci_bus 0000:00: root bus resource [mem 0x80000000-0xffdfffff window]
    [    0.207406] pci_bus 0000:00: root bus resource [bus 00-ff]
    [    0.207438] pci 0000:00:00.0: [8086:1237] type 00 class 0x060000
    [    0.207856] pci 0000:00:01.0: [8086:7000] type 00 class 0x060100
    [    0.208381] pci 0000:00:01.1: [8086:7111] type 00 class 0x01018a
    [    0.208686] pci 0000:00:01.1: reg 0x20: [io  0xd000-0xd00f]
    [    0.208812] pci 0000:00:01.1: legacy IDE quirk: reg 0x10: [io  0x01f0-0x01f7]
    [    0.208815] pci 0000:00:01.1: legacy IDE quirk: reg 0x14: [io  0x03f6]
    [    0.208817] pci 0000:00:01.1: legacy IDE quirk: reg 0x18: [io  0x0170-0x0177]
    [    0.208820] pci 0000:00:01.1: legacy IDE quirk: reg 0x1c: [io  0x0376]
    [    0.208996] pci 0000:00:02.0: [80ee:beef] type 00 class 0x030000
    [    0.212014] pci 0000:00:02.0: reg 0x10: [mem 0xe0000000-0xe1ffffff pref]
    [    0.232861] pci 0000:00:03.0: [8086:100e] type 00 class 0x020000
    [    0.234539] pci 0000:00:03.0: reg 0x10: [mem 0xf0000000-0xf001ffff]
    [    0.238271] pci 0000:00:03.0: reg 0x18: [io  0xd010-0xd017]
    [    0.248517] pci 0000:00:04.0: [80ee:cafe] type 00 class 0x088000
    [    0.250330] pci 0000:00:04.0: reg 0x10: [io  0xd020-0xd03f]
    [    0.252120] pci 0000:00:04.0: reg 0x14: [mem 0xf0400000-0xf07fffff]
    [    0.253762] pci 0000:00:04.0: reg 0x18: [mem 0xf0800000-0xf0803fff pref]
    [    0.261063] pci 0000:00:05.0: [8086:2415] type 00 class 0x040100
    [    0.261248] pci 0000:00:05.0: reg 0x10: [io  0xd100-0xd1ff]
    [    0.261361] pci 0000:00:05.0: reg 0x14: [io  0xd200-0xd23f]
    [    0.262060] pci 0000:00:06.0: [106b:003f] type 00 class 0x0c0310
    [    0.264134] pci 0000:00:06.0: reg 0x10: [mem 0xf0804000-0xf0804fff]
    [    0.274178] pci 0000:00:07.0: [8086:7113] type 00 class 0x068000
    [    0.275081] pci 0000:00:0b.0: [8086:265c] type 00 class 0x0c0320
    [    0.276442] pci 0000:00:0b.0: reg 0x10: [mem 0xf0805000-0xf0805fff]
    [    0.286252] pci 0000:00:0d.0: [8086:2829] type 00 class 0x010601
    [    0.288679] pci 0000:00:0d.0: reg 0x10: [io  0xd240-0xd247]
    [    0.292582] pci 0000:00:0d.0: reg 0x18: [io  0xd250-0xd257]
    [    0.296018] pci 0000:00:0d.0: reg 0x20: [io  0xd260-0xd26f]
    [    0.297638] pci 0000:00:0d.0: reg 0x24: [mem 0xf0806000-0xf0807fff]
    [    0.301162] ACPI: PCI Interrupt Link [LNKA] (IRQs 5 9 10 *11)
    [    0.301421] ACPI: PCI Interrupt Link [LNKB] (IRQs 5 9 10 *11)
    [    0.301513] ACPI: PCI Interrupt Link [LNKC] (IRQs 5 9 *10 11)
    [    0.301604] ACPI: PCI Interrupt Link [LNKD] (IRQs 5 *9 10 11)
    [    0.301748] ACPI: Enabled 2 GPEs in block 00 to 07
    [    0.301920] vgaarb: setting as boot device: PCI:0000:00:02.0
    [    0.301920] vgaarb: device added: PCI:0000:00:02.0,decodes=io+mem,owns=io+mem,locks=none
    [    0.301920] vgaarb: loaded
    [    0.301920] vgaarb: bridge control possible 0000:00:02.0
    [    0.301920] PCI: Using ACPI for IRQ routing
    [    0.301920] PCI: pci_cache_line_size set to 64 bytes
    [    0.301920] e820: reserve RAM buffer [mem 0x0009fc00-0x0009ffff]
    [    0.301920] e820: reserve RAM buffer [mem 0x7fff0000-0x7fffffff]
    [    0.301920] clocksource: Switched to clocksource refined-jiffies
    [    0.313265] VFS: Disk quotas dquot_6.6.0
    [    0.313309] VFS: Dquot-cache hash table entries: 512 (order 0, 4096 bytes)
    [    0.313474] pnp: PnP ACPI init
    [    0.313540] pnp 00:00: Plug and Play ACPI device, IDs PNP0303 (active)
    [    0.313597] pnp 00:01: Plug and Play ACPI device, IDs PNP0f03 (active)
    [    0.313633] pnp 00:02: Plug and Play ACPI device, IDs PNP0400 (active)
    [    0.314006] pnp: PnP ACPI: found 3 devices
    [    0.325526] clocksource: acpi_pm: mask: 0xffffff max_cycles: 0xffffff, max_idle_ns: 2085701024 ns
    [    0.325613] clocksource: Switched to clocksource acpi_pm
    [    0.325626] pci_bus 0000:00: resource 4 [io  0x0000-0x0cf7 window]
    [    0.325631] pci_bus 0000:00: resource 5 [io  0x0d00-0xffff window]
    [    0.325635] pci_bus 0000:00: resource 6 [mem 0x000a0000-0x000bffff window]
    [    0.325638] pci_bus 0000:00: resource 7 [mem 0x80000000-0xffdfffff window]
    [    0.325898] NET: Registered protocol family 2
    [    0.326165] TCP established hash table entries: 16384 (order: 5, 131072 bytes)
    [    0.326199] TCP bind hash table entries: 16384 (order: 6, 262144 bytes)
    [    0.326226] TCP: Hash tables configured (established 16384 bind 16384)
    [    0.326255] UDP hash table entries: 1024 (order: 3, 32768 bytes)
    [    0.326264] UDP-Lite hash table entries: 1024 (order: 3, 32768 bytes)
    [    0.326365] NET: Registered protocol family 1
    [    0.326377] pci 0000:00:00.0: Limiting direct PCI/PCI transfers
    [    0.326409] pci 0000:00:01.0: Activating ISA DMA hang workarounds
    [    0.326462] pci 0000:00:02.0: Video device with shadowed ROM at [mem 0x000c0000-0x000dffff]
    [    0.327303] PCI: CLS 0 bytes, default 64
    [    0.327356] Unpacking initramfs...
    [    0.723426] Freeing initrd memory: 26212K (ffff96bf34cbd000 - ffff96bf36656000)
    [    0.723573] platform rtc_cmos: registered platform RTC device (no PNP device found)
    [    0.724189] audit: initializing netlink subsys (disabled)
    [    0.724212] audit: type=2000 audit(1503060695.723:1): initialized
    [    0.724739] workingset: timestamp_bits=40 max_order=19 bucket_order=0
    [    0.724828] zbud: loaded
    [    0.726827] Block layer SCSI generic (bsg) driver version 0.4 loaded (major 251)
    [    0.726947] io scheduler noop registered
    [    0.726950] io scheduler deadline registered
    [    0.726999] io scheduler cfq registered (default)
    [    0.727058] pci_hotplug: PCI Hot Plug PCI Core version: 0.5
    [    0.727072] pciehp: PCI Express Hot Plug Controller Driver version: 0.4
    [    0.727086] intel_idle: does not run on family 6 model 61
    [    0.727160] GHES: HEST is not enabled!
    [    0.727286] Serial: 8250/16550 driver, 4 ports, IRQ sharing enabled
    [    0.727958] Linux agpgart interface v0.103
    [    0.728099] AMD IOMMUv2 driver by Joerg Roedel <jroedel@suse.de>
    [    0.728102] AMD IOMMUv2 functionality not available on this system
    [    0.728350] i8042: PNP: PS/2 Controller [PNP0303:PS2K,PNP0f03:PS2M] at 0x60,0x64 irq 1,12
    [    0.729197] serio: i8042 KBD port at 0x60,0x64 irq 1
    [    0.729207] serio: i8042 AUX port at 0x60,0x64 irq 12
    [    0.729581] mousedev: PS/2 mouse device common for all mice
    [    0.729983] input: AT Translated Set 2 keyboard as /devices/platform/i8042/serio0/input/input0
    [    0.730578] rtc_cmos rtc_cmos: rtc core: registered rtc_cmos as rtc0
    [    0.730652] rtc_cmos rtc_cmos: alarms up to one day, 114 bytes nvram
    [    0.730753] ledtrig-cpu: registered to indicate activity on CPUs
    [    0.731069] NET: Registered protocol family 10
    [    0.731435] mip6: Mobile IPv6
    [    0.731439] NET: Registered protocol family 17
    [    0.731443] mpls_gso: MPLS GSO support
    [    0.731658] microcode: sig=0x306d4, pf=0x2, revision=0x19
    [    0.731810] microcode: Microcode Update Driver: v2.01 <tigran@aivazian.fsnet.co.uk>, Peter Oruba
    [    0.732295] registered taskstats version 1
    [    0.732309] zswap: loaded using pool lzo/zbud
    [    0.733396] rtc_cmos rtc_cmos: setting system clock to 2017-08-18 12:51:36 UTC (1503060696)
    [    0.733423] PM: Hibernation image not present or could not be loaded.
    [    0.734621] Freeing unused kernel memory: 1388K (ffffffffbd319000 - ffffffffbd474000)
    [    0.734625] Write protecting the kernel read-only data: 10240k
    [    0.734976] Freeing unused kernel memory: 44K (ffff96bf037f5000 - ffff96bf03800000)
    [    0.738274] Freeing unused kernel memory: 1300K (ffff96bf03abb000 - ffff96bf03c00000)
    [    0.743063] x86/mm: Checked W+X mappings: passed, no W+X pages found.
    [    0.825712] random: systemd-udevd: uninitialized urandom read (16 bytes read)
    [    0.825765] random: systemd-udevd: uninitialized urandom read (16 bytes read)
    [    0.825775] random: systemd-udevd: uninitialized urandom read (16 bytes read)
    [    0.825786] random: systemd-udevd: uninitialized urandom read (16 bytes read)
    [    0.826510] random: udevadm: uninitialized urandom read (16 bytes read)
    [    0.826551] random: udevadm: uninitialized urandom read (16 bytes read)
    [    0.826929] random: udevadm: uninitialized urandom read (16 bytes read)
    [    0.826968] random: udevadm: uninitialized urandom read (16 bytes read)
    [    0.826978] random: udevadm: uninitialized urandom read (16 bytes read)
    [    0.827132] random: udevadm: uninitialized urandom read (16 bytes read)
    [    0.841233] piix4_smbus 0000:00:07.0: SMBus base address uninitialized - upgrade BIOS or use force_addr=0xaddr
    [    0.843768] SCSI subsystem initialized
    [    0.845950] e1000: Intel(R) PRO/1000 Network Driver - version 7.3.21-k8-NAPI
    [    0.845954] e1000: Copyright (c) 1999-2006 Intel Corporation.
    [    0.847111] ACPI: bus type USB registered
    [    0.847136] usbcore: registered new interface driver usbfs
    [    0.847145] usbcore: registered new interface driver hub
    [    0.847196] usbcore: registered new device driver usb
    [    0.851075] ehci_hcd: USB 2.0 'Enhanced' Host Controller (EHCI) Driver
    [    0.851792] ohci_hcd: USB 1.1 'Open' Host Controller (OHCI) Driver
    [    0.852796] ehci-pci: EHCI PCI platform driver
    [    0.852941] libata version 3.00 loaded.
    [    1.060343] input: ImExPS/2 Generic Explorer Mouse as /devices/platform/i8042/serio1/input/input2
    [    1.226936] e1000 0000:00:03.0 eth0: (PCI:33MHz:32-bit) 08:00:27:a1:b6:e6
    [    1.226945] e1000 0000:00:03.0 eth0: Intel(R) PRO/1000 Network Connection
    [    1.227442] ehci-pci 0000:00:0b.0: EHCI Host Controller
    [    1.227449] ehci-pci 0000:00:0b.0: new USB bus registered, assigned bus number 1
    [    1.227621] ehci-pci 0000:00:0b.0: irq 19, io mem 0xf0805000
    [    1.240163] ehci-pci 0000:00:0b.0: USB 2.0 started, EHCI 1.00
    [    1.240277] usb usb1: New USB device found, idVendor=1d6b, idProduct=0002
    [    1.240280] usb usb1: New USB device strings: Mfr=3, Product=2, SerialNumber=1
    [    1.240283] usb usb1: Product: EHCI Host Controller
    [    1.240287] usb usb1: Manufacturer: Linux 4.9.0-kali3-amd64 ehci_hcd
    [    1.240290] usb usb1: SerialNumber: 0000:00:0b.0
    [    1.240591] hub 1-0:1.0: USB hub found
    [    1.240608] hub 1-0:1.0: 8 ports detected
    [    1.241812] ata_piix 0000:00:01.1: version 2.13
    [    1.242497] ohci-pci: OHCI PCI platform driver
    [    1.244415] scsi host0: ata_piix
    [    1.244920] scsi host1: ata_piix
    [    1.244973] ata1: PATA max UDMA/33 cmd 0x1f0 ctl 0x3f6 bmdma 0xd000 irq 14
    [    1.244977] ata2: PATA max UDMA/33 cmd 0x170 ctl 0x376 bmdma 0xd008 irq 15
    [    1.245044] ahci 0000:00:0d.0: version 3.0
    [    1.245687] ahci 0000:00:0d.0: SSS flag set, parallel bus scan disabled
    [    1.245822] ahci 0000:00:0d.0: AHCI 0001.0100 32 slots 1 ports 3 Gbps 0x1 impl SATA mode
    [    1.245826] ahci 0000:00:0d.0: flags: 64bit ncq stag only ccc 
    [    1.246366] scsi host2: ahci
    [    1.246432] ata3: SATA max UDMA/133 abar m8192@0xf0806000 port 0xf0806100 irq 21
    [    1.247021] ohci-pci 0000:00:06.0: OHCI PCI host controller
    [    1.247028] ohci-pci 0000:00:06.0: new USB bus registered, assigned bus number 2
    [    1.247090] ohci-pci 0000:00:06.0: irq 22, io mem 0xf0804000
    [    1.305122] usb usb2: New USB device found, idVendor=1d6b, idProduct=0001
    [    1.305133] usb usb2: New USB device strings: Mfr=3, Product=2, SerialNumber=1
    [    1.305142] usb usb2: Product: OHCI PCI host controller
    [    1.305151] usb usb2: Manufacturer: Linux 4.9.0-kali3-amd64 ohci_hcd
    [    1.305159] usb usb2: SerialNumber: 0000:00:06.0
    [    1.306489] hub 2-0:1.0: USB hub found
    [    1.306761] hub 2-0:1.0: 8 ports detected
    [    1.405720] ata2.00: ATAPI: VBOX CD-ROM, 1.0, max UDMA/133
    [    1.406756] ata2.00: configured for UDMA/33
    [    1.408600] scsi 1:0:0:0: CD-ROM            VBOX     CD-ROM           1.0  PQ: 0 ANSI: 5
    [    1.561400] ata3: SATA link up 3.0 Gbps (SStatus 123 SControl 300)
    [    1.561754] ata3.00: ATA-6: VBOX HARDDISK, 1.0, max UDMA/133
    [    1.561765] ata3.00: 83886080 sectors, multi 128: LBA48 NCQ (depth 31/32)
    [    1.562249] ata3.00: configured for UDMA/133
    [    1.562845] scsi 2:0:0:0: Direct-Access     ATA      VBOX HARDDISK    1.0  PQ: 0 ANSI: 5
    [    1.606470] sd 2:0:0:0: [sda] 83886080 512-byte logical blocks: (42.9 GB/40.0 GiB)
    [    1.606581] sd 2:0:0:0: [sda] Write Protect is off
    [    1.606585] sd 2:0:0:0: [sda] Mode Sense: 00 3a 00 00
    [    1.606630] sd 2:0:0:0: [sda] Write cache: enabled, read cache: enabled, doesn't support DPO or FUA
    [    1.621981] sr 1:0:0:0: [sr0] scsi3-mmc drive: 32x/32x xa/form2 tray
    [    1.621990] cdrom: Uniform CD-ROM driver Revision: 3.20
    [    1.622411] sr 1:0:0:0: Attached scsi CD-ROM sr0
    [    1.651293]  sda: sda1 sda2 < sda5 >
    [    1.653985] sd 2:0:0:0: [sda] Attached SCSI disk
    [    1.670224] random: fast init done
    [    1.724159] tsc: Refined TSC clocksource calibration: 2184.024 MHz
    [    1.724193] clocksource: tsc: mask: 0xffffffffffffffff max_cycles: 0x1f7b3ed0c4b, max_idle_ns: 440795203288 ns
    [    1.756168] usb 2-1: new full-speed USB device number 2 using ohci-pci
    [    2.053569] usb 2-1: New USB device found, idVendor=80ee, idProduct=0021
    [    2.053575] usb 2-1: New USB device strings: Mfr=1, Product=3, SerialNumber=0
    [    2.053579] usb 2-1: Product: USB Tablet
    [    2.053583] usb 2-1: Manufacturer: VirtualBox
    [    2.058962] hidraw: raw HID events driver (C) Jiri Kosina
    [    2.063378] usbcore: registered new interface driver usbhid
    [    2.063383] usbhid: USB HID core driver
    [    2.065787] input: VirtualBox USB Tablet as /devices/pci0000:00/0000:00:06.0/usb2/2-1/2-1:1.0/0003:80EE:0021.0001/input/input3
    [    2.065920] hid-generic 0003:80EE:0021.0001: input,hidraw0: USB HID v1.10 Mouse [VirtualBox USB Tablet] on usb-0000:00:06.0-1/input0
    [    2.749160] clocksource: Switched to clocksource tsc
    [    4.060806] floppy0: no floppy controllers found
    [    4.060933] work still pending
    [    4.119052] PM: Starting manual resume from disk
    [    4.119058] PM: Hibernation image partition 8:5 present
    [    4.119061] PM: Looking for hibernation image.
    [    4.120183] PM: Image not found (code -22)
    [    4.120187] PM: Hibernation image not present or could not be loaded.
    [    4.369592] EXT4-fs (sda1): mounted filesystem with ordered data mode. Opts: (null)
    [    5.909835] ip_tables: (C) 2000-2006 Netfilter Core Team
    [    6.040716] systemd[1]: systemd 232 running in system mode. (+PAM +AUDIT +SELINUX +IMA +APPARMOR +SMACK +SYSVINIT +UTMP +LIBCRYPTSETUP +GCRYPT +GNUTLS +ACL +XZ +LZ4 +SECCOMP +BLKID +ELFUTILS +KMOD +IDN)
    [    6.040757] systemd[1]: Detected virtualization oracle.
    [    6.040763] systemd[1]: Detected architecture x86-64.
    [    6.054490] systemd[1]: Set hostname to <kali>.
    [    6.771369] random: crng init done
    [    7.331374] systemd[1]: Reached target User and Group Name Lookups.
    [    7.331641] systemd[1]: Listening on Syslog Socket.
    [    7.331991] systemd[1]: Created slice User and Session Slice.
    [    7.332302] systemd[1]: Started Dispatch Password Requests to Console Directory Watch.
    [    7.332644] systemd[1]: Set up automount Arbitrary Executable File Formats File System Automount Point.
    [    7.332769] systemd[1]: Listening on fsck to fsckd communication Socket.
    [    8.205328] EXT4-fs (sda1): re-mounted. Opts: errors=remount-ro
    [    8.559229] systemd-journald[197]: Received request to flush runtime journal from PID 1
    [   10.547669] ACPI: AC Adapter [AC] (on-line)
    [   10.550960] input: Power Button as /devices/LNXSYSTM:00/LNXPWRBN:00/input/input4
    [   10.550971] ACPI: Power Button [PWRF]
    [   10.551132] input: Sleep Button as /devices/LNXSYSTM:00/LNXSLPBN:00/input/input5
    [   10.551140] ACPI: Sleep Button [SLPF]
    [   10.553180] ACPI: Battery Slot [BAT0] (battery present)
    [   10.557334] ACPI: Video Device [GFX0] (multi-head: yes  rom: no  post: no)
    [   10.557410] input: Video Bus as /devices/LNXSYSTM:00/LNXSYBUS:00/PNP0A03:00/LNXVIDEO:00/input/input6
    [   10.578579] [drm] Initialized
    [   10.678650] vboxguest: loading out-of-tree module taints kernel.
    [   10.688619] input: Unspecified device as /devices/pci0000:00/0000:00:04.0/input/input7
    [   10.688899] vboxguest: misc device minor 58, IRQ 20, I/O port d020, MMIO at 00000000f0400000 (size 0x400000)
    [   10.688903] vboxguest: Successfully loaded version 5.1.18_Debian (interface 0x00010004)
    [   10.730504] [drm] VRAM 02000000
    [   10.732607] [TTM] Zone  kernel: Available graphics memory: 1026362 kiB
    [   10.732616] [TTM] Initializing pool allocator
    [   10.732633] [TTM] Initializing DMA pool allocator
    [   10.733526] fbcon: vboxdrmfb (fb0) is primary device
    [   10.745344] Console: switching to colour frame buffer device 100x37
    [   10.747175] vboxvideo 0000:00:02.0: fb0: vboxdrmfb frame buffer device
    [   10.760139] [drm] Initialized vboxvideo 1.0.0 20130823 for 0000:00:02.0 on minor 0
    [   10.814979] sr 1:0:0:0: Attached scsi generic sg0 type 5
    [   10.815053] sd 2:0:0:0: Attached scsi generic sg1 type 0
    [   10.870422] input: PC Speaker as /devices/platform/pcspkr/input/input8
    [   10.903139] parport_pc 00:02: reported by Plug and Play ACPI
    [   10.914563] RAPL PMU: API unit is 2^-32 Joules, 4 fixed counters, 10737418240 ms ovfl timer
    [   10.914571] RAPL PMU: hw unit of domain pp0-core 2^-0 Joules
    [   10.914577] RAPL PMU: hw unit of domain package 2^-0 Joules
    [   10.914583] RAPL PMU: hw unit of domain dram 2^-0 Joules
    [   10.914589] RAPL PMU: hw unit of domain pp1-gpu 2^-0 Joules
    [   11.310527] ppdev: user-space parallel port driver
    [   11.985367] snd_intel8x0 0000:00:05.0: intel8x0_measure_ac97_clock: measured 59515 usecs (13426 samples)
    [   11.985379] snd_intel8x0 0000:00:05.0: measured clock 225590 rejected
    [   12.237871] Adding 2095100k swap on /dev/sda5.  Priority:-1 extents:1 across:2095100k FS
    [   12.376221] snd_intel8x0 0000:00:05.0: intel8x0_measure_ac97_clock: measured 59997 usecs (12678 samples)
    [   12.376225] snd_intel8x0 0000:00:05.0: measured clock 211310 rejected
    [   12.760493] snd_intel8x0 0000:00:05.0: intel8x0_measure_ac97_clock: measured 59938 usecs (13619 samples)
    [   12.760503] snd_intel8x0 0000:00:05.0: measured clock 227218 rejected
    [   12.760512] snd_intel8x0 0000:00:05.0: clocking to 48000
    [   13.788832] floppy0: no floppy controllers found
    [   13.788966] work still pending
    [   17.931975] vboxsf: Successfully loaded version 5.1.18_Debian (interface 0x00010004)
    [   18.261549] VBoxService 5.1.18_Debian r114002 (verbosity: 0) linux.amd64 (Mar 15 2017 23:04:58) release log
                   00:00:00.002209 main     Log opened 2017-08-18T12:51:54.028016000Z
    [   18.261731] 00:00:00.002505 main     OS Product: Linux
    [   18.261813] 00:00:00.002596 main     OS Release: 4.9.0-kali3-amd64
    [   18.261895] 00:00:00.002674 main     OS Version: #1 SMP Debian 4.9.18-1kali1 (2017-04-04)
    [   18.262014] 00:00:00.002757 main     Executable: /usr/sbin/VBoxService
                   00:00:00.002765 main     Process ID: 524
                   00:00:00.002772 main     Package type: LINUX_64BITS_GENERIC (OSE)
    [   18.265398] 00:00:00.006128 main     5.1.18_Debian r114002 started. Verbose level = 0
    [   19.654169] Bluetooth: Core ver 2.22
    [   19.654618] NET: Registered protocol family 31
    [   19.654624] Bluetooth: HCI device and connection manager initialized
    [   19.654634] Bluetooth: HCI socket layer initialized
    [   19.654642] Bluetooth: L2CAP socket layer initialized
    [   19.654656] Bluetooth: SCO socket layer initialized
    [   19.902393] Netfilter messages via NETLINK v0.30.
    [   54.588373] usb 1-1: new high-speed USB device number 2 using ehci-pci
    [   54.753608] usb 1-1: New USB device found, idVendor=2357, idProduct=010d
    [   54.753620] usb 1-1: New USB device strings: Mfr=1, Product=2, SerialNumber=3
    [   54.753629] usb 1-1: Product: 802.11n NIC
    [   54.753638] usb 1-1: Manufacturer: Realtek
    [   54.753647] usb 1-1: SerialNumber: 123456
    [   54.936653] RTL871X: module init start
    [   54.936659] RTL871X: rtl8812au v4.3.14_13455.20150212_BTCOEX20150128-51
    [   54.936664] RTL871X: rtl8812au BT-Coex version = BTCOEX20150128-51
    [   60.479384] RTL871X: rtw_ndev_init(wlan0)
    [   60.480471] usbcore: registered new interface driver rtl8812au
    [   60.480481] RTL871X: module init ret=0
    [   61.602050] fuse init (API version 7.26)
    root@kali:~# iwconfig 
    eth0      no wireless extensions.
    
    wlan0     unassociated  Nickname:"<WIFI@REALTEK>"
              Mode:Managed  Frequency=2.412 GHz  Access Point: Not-Associated   
              Sensitivity:0/0  
              Retry:off   RTS thr:off   Fragment thr:off
              Encryption key:off
              Power Management:off
              Link Quality:0  Signal level:0  Noise level:0
              Rx invalid nwid:0  Rx invalid crypt:0  Rx invalid frag:0
              Tx excessive retries:0  Invalid misc:0   Missed beacon:0
    
    lo        no wireless extensions.
    
    
    root@kali:~# ifconfig -a
    eth0: flags=4098<BROADCAST,MULTICAST>  mtu 1500
            ether 08:00:27:a1:b6:e6  txqueuelen 1000  (Ethernet)
            RX packets 0  bytes 0 (0.0 B)
            RX errors 0  dropped 0  overruns 0  frame 0
            TX packets 0  bytes 0 (0.0 B)
            TX errors 0  dropped 0 overruns 0  carrier 0  collisions 0
    
    lo: flags=73<UP,LOOPBACK,RUNNING>  mtu 65536
            inet 127.0.0.1  netmask 255.0.0.0
            inet6 ::1  prefixlen 128  scopeid 0x10<host>
            loop  txqueuelen 1  (Local Loopback)
            RX packets 20  bytes 1216 (1.1 KiB)
            RX errors 0  dropped 0  overruns 0  frame 0
            TX packets 20  bytes 1216 (1.1 KiB)
            TX errors 0  dropped 0 overruns 0  carrier 0  collisions 0
    
    wlan0: flags=4098<BROADCAST,MULTICAST>  mtu 1500
            ether c0:25:e9:2a:20:16  txqueuelen 1000  (Ethernet)
            RX packets 0  bytes 0 (0.0 B)
            RX errors 0  dropped 0  overruns 0  frame 0
            TX packets 0  bytes 0 (0.0 B)
            TX errors 0  dropped 0 overruns 0  carrier 0  collisions 0
    
    root@kali:~# iwconfig 
    eth0      no wireless extensions.
    
    wlan0     unassociated  Nickname:"<WIFI@REALTEK>"
              Mode:Managed  Frequency=2.412 GHz  Access Point: Not-Associated   
              Sensitivity:0/0  
              Retry:off   RTS thr:off   Fragment thr:off
              Encryption key:off
              Power Management:off
              Link Quality:0  Signal level:0  Noise level:0
              Rx invalid nwid:0  Rx invalid crypt:0  Rx invalid frag:0
              Tx excessive retries:0  Invalid misc:0   Missed beacon:0
    
    lo        no wireless extensions.
    
    root@kali:~# 
    root@kali:~# lsusb 
    Bus 001 Device 002: ID 2357:010d  
    Bus 001 Device 001: ID 1d6b:0002 Linux Foundation 2.0 root hub
    Bus 002 Device 002: ID 80ee:0021 VirtualBox USB Tablet
    Bus 002 Device 001: ID 1d6b:0001 Linux Foundation 1.1 root hub
    root@kali:~# 
    
    
    
    ? file icon dmesg (32,538 bytes) 2017-08-18 13:17 +

-Relationships
related to 0003989resolvedsbrun Update realtek-rtl88xxau-dkms driver to v5.1.5 branch 
+Relationships

-Notes

~0007005

rhertzog (administrator)

Please read https://kali.training/chapter-6/filing-a-good-bug-report/ and come back with actual actionable data. We need at the very least, a proof that the module build that is supposed to happpen when you "apt install realtek-rtl8xxau-dkms" happened. Showing the output of the command would have helped in this regard...

We also need to see the kernel logs output with "dmesg". And if the problem is not in the packaging integration, you should directly have a conversation with the upstream developers here:
https://github.com/astsam/rtl8812au

~0007015

nilelinux (reporter)

Thanks for your reply. When i ran #apt install realtek-rtl8xxau-dkms the command completed without any errors but i didn't see wlan0 even after rebooting the OS.

Please be informed that I can see wlan0 when i use the module in this link https://wikidevi.com/wiki/TP-LINK_Archer_T4U.

Kindly find the attached file of the dmesg, iwconfig, lsusb, ifconfig output.

Thanks & Best regards,

~0007018

rhertzog (administrator)

The file you attached is currently showing the wlan0 device. Are you realizing that?

~0007020

nilelinux (reporter)

Yes. I know. I mentibed that in the last note.

~0007036

rhertzog (administrator)

Sorry, you're not being helpful. Providing logs of a system where you manually installed another driver is not going to help understand why the driver we provide is not working.

I want to be sure that the module that is supposed to be built by realtek-rtl8xxau-dkms has been built and is available to the kernel (so that it can be loaded via a modprobe call). And then I want to see what the kernel log contains when that module is loaded.

Maybe your specific USB ID is not recognized by the current driver... after looking a bit more into this I can confirm that this is the problem, it's even already reported:
https://github.com/astsam/rtl8812au/issues/48

~0007042

kimocoder (reporter)

I will push a commit to "astsam" repo in few hours with lots of new device id's added. Please wait for maintainer of the repo to merge the commit with the additional support. Please give it some more time as i haven't seen the maintainer beeing active for some weeks

~0007045

kimocoder (reporter)

A temporary solution until these device id's will be added is to clone the astsam repo, patch it with the commit I've added and build it yourself.

here are the steps:

git clone https://github.com/astsam/rtl8812au
cd rtl8812
wget https://github.com/astsam/rtl8812au/commit/a2410775e4d3c9cee9cc630d04bac9a341772224.patch
patch -p1 < a2410775e4d3c9cee9cc630d04bac9a341772224.patch
make && make install

~0007053

kimocoder (reporter)

Forget the above note!


* NEW Note: The "astsam" repo does not support Kali's newly used kernel v4.11.0, I've added support on my repo and added 4 more TP-Link devices including the "TP-Link Archer AC1300 V2", but Mister_X said he'd create a forked repo in Tuesday because the "astsam" repo isn't much active anymore.

* A quickfix is to build manually from https://github.com/kimocoder/rtl8812au which got v4.11 support and the "new" devices added, but for Kali, please wait for Mister_X's repo to be used in sources.

~0007083

kimocoder (reporter)

rhertzog: a forked repo with additional support for 4 new devices (including the one mentioned in this topic) & v4.11 kernel include fix (the sched lib) has made it's way to https://github.com/aircrack-ng/rtl8812au and should therefor be used instead of the inactive "astsam" repo to fix the 'missing drivers'

The Kali repos should switch to the aircrack-ng/rtl8812au (Mister_X)'s repo & we'll make sure to keep it updated along the way until it makes it's way to the staging linux kernel tree. thanks

~0007097

sbrun (manager)

new version 4.3.21~20170824-0kali1 of realtek-rtl88xxau-dkms supports TP-Link AC 1300 V2 Archer T4U
+Notes

-Issue History
Date Modified Username Field Change
2017-08-17 19:16 nilelinux New Issue
2017-08-18 08:13 rhertzog Assigned To => rhertzog
2017-08-18 08:13 rhertzog Status new => feedback
2017-08-18 08:13 rhertzog Note Added: 0007005
2017-08-18 13:17 nilelinux File Added: dmesg
2017-08-18 13:17 nilelinux Note Added: 0007015
2017-08-18 13:17 nilelinux Status feedback => assigned
2017-08-18 15:13 rhertzog Note Added: 0007018
2017-08-18 16:01 nilelinux Note Added: 0007020
2017-08-19 13:53 rhertzog Note Added: 0007036
2017-08-19 13:57 rhertzog Relationship added related to 0003989
2017-08-19 14:01 rhertzog Assigned To rhertzog => sbrun
2017-08-19 14:46 kimocoder Note Added: 0007042
2017-08-19 16:55 kimocoder Note Added: 0007045
2017-08-21 10:48 kimocoder Note Added: 0007053
2017-08-22 20:06 kimocoder Note Added: 0007083
2017-08-24 08:20 sbrun Status assigned => resolved
2017-08-24 08:20 sbrun Resolution open => fixed
2017-08-24 08:20 sbrun Fixed in Version => 2017.2
2017-08-24 08:20 sbrun Note Added: 0007097
+Issue History